/events/{eventId}Get a project event
Authentication
Bearer authentication is required for this operation.
Path parameters
eventIdrequiredstringEvent identifier.
Request examples
curl --request GET 'https://api.au.boundry.dev/events/string' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+200 response
Project platform event.
api_versionrequiredstringAPI version pinned to the webhook endpoint. Values: "2026-08-14". Default: "2026-08-14".
created_atrequiredstring (date-time)Timestamp when Boundry created the event. Example: "2026-08-14T12:00:00.000Z".
datarequiredobjectEvent resource wrapper. Example: {"object":{}}.
objectrequiredunknownEvent resource.
idrequiredstringStable event identifier.
livemoderequiredbooleanWhether the event originated in live mode.
objectrequiredstringResource type discriminator. Values: "event".
project_idrequiredstringOwning project identifier. Example: "msg_01j0example".
typerequiredstringA concrete webhook event type. Values: "email.queued", "email.scheduled", "email.sending", "email.sent", "email.delivered", "email.delivery_delayed", "email.bounced", "email.complained", "email.opened", "email.clicked", "email.failed", "email.canceled", "email.received", "email.stored", "domain.created", "domain.verified", "domain.verification_failed", "domain.updated", "domain.deleted", "api_key.created", "api_key.revoked", "webhook.endpoint.created", "webhook.endpoint.updated", "webhook.endpoint.disabled", "webhook.endpoint.deleted".
{
"eventId": "evt_01j0example"
}401 response
Invalid API key.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"eventId": "evt_01j0example"
}404 response
Webhook, delivery, or event not found.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"eventId": "evt_01j0example"
}422 response
Request validation failed.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"eventId": "evt_01j0example"
}